<div dir="ltr"><div style="font-size:12pt;font-family:Calibri;color:rgb(0,0,0)">
<div>(resend, as Miguel suggested I should join the list)</div><div><br></div><div>Today, the signcode application distributed with Mono defaults to using MD5 
for Authenticode signing. This has resulted in vulnerable signatures on at least 
two broadly distributed projects (CoPilot and WordPress Desktop; see <a title="http://textslashplain.com/2015/12/15/hashes-and-code-signing/" href="http://textslashplain.com/2015/12/15/hashes-and-code-signing/">http://textslashplain.com/2015/12/15/hashes-and-code-signing/</a>).</div>
<div> </div>
<div>MD5 signatures are dangerous because the collision attacks against MD5 get 
better and cheaper with each passing day, and any MD5 signature is vulnerable to 
abuse for the lifetime of the signing certificate—the package WordPress signed 
last week could be exploited until 11/21/2018 unless Automattic is willing to 
revoke their signing certificate before that time (costly).</div>
<div> </div>
<div>SHA1 is considerably stronger than MD5 and signcode already supports it; it 
just needs to be made default. The command line argument (-a md5) could be used 
for anyone that really needs an MD5 signature for any reason.</div>
<div> </div>
<div>Thanks for your consideration!</div>
<div> </div>
<div>-Eric Lawrence</div></div>
</div>